/*
 * JORAM: Java(TM) Open Reliable Asynchronous Messaging
 * Copyright (C) 2018 ScalAgent Distributed Technologies
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): ScalAgent Distributed Technologies
 * Contributor(s): 
 */
package seipbridge;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;
import javax.jms.BytesMessage;

/**
 * Implements the <code>javax.jms.MessageListener</code> interface.
 */
public class MsgListener implements MessageListener {
  String who;
  
  public MsgListener(String who) {
    this.who = who;
  }
  
  public void onMessage(Message msg) {
    try {
      String topic = msg.getStringProperty("mqtt_topic");
      if (msg instanceof TextMessage)
        System.out.println(who + " receive on mqs queue: " + ((TextMessage) msg).getText() + "\nfrom: " + topic);
      else if (msg instanceof BytesMessage) {
        BytesMessage m = (BytesMessage) msg;
        int len = (int) m.getBodyLength();
        byte[] payload = new byte[len];
        len = m.readBytes(payload);
        System.out.println(who + " receive on mqs queue [" + len + ", " + payload.length + "]: " + new String(payload) + "\nfrom: " + topic);
      }
    }
    catch (JMSException exc) {
      System.err.println("Exception in listener: " + exc);
    }
  }
}
