/*
 * JORAM: Java(TM) Open Reliable Asynchronous Messaging
 * Copyright (C) 2010 ScalAgent Distributed Technologies
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): ScalAgent Distributed Technologies
 * Contributor(s): 
 */
package com.scalagent.appli.client.widget.handler.subscription;

import com.scalagent.appli.client.Application;
import com.scalagent.appli.client.presenter.SubscriptionListPresenter;
import com.scalagent.appli.client.presenter.UserDetailPresenter;
import com.scalagent.appli.client.widget.record.SubscriptionListRecord;
import com.smartgwt.client.util.BooleanCallback;
import com.smartgwt.client.util.SC;
import com.smartgwt.client.widgets.events.ClickEvent;
import com.smartgwt.client.widgets.events.ClickHandler;

/**
 * @author Yohann CINTRE
 */
public class SubscriptionDeleteClickHandler implements ClickHandler {

  private SubscriptionListPresenter sPresenter;
  private UserDetailPresenter uPresenter;
  private SubscriptionListRecord record;

  public SubscriptionDeleteClickHandler(SubscriptionListPresenter sPresenter, SubscriptionListRecord record) {
    super();
    this.sPresenter = sPresenter;
    this.record = record;
  }

  public SubscriptionDeleteClickHandler(UserDetailPresenter uPresenter, SubscriptionListRecord record) {
    super();
    this.uPresenter = uPresenter;
    this.record = record;
  }

  public void onClick(ClickEvent event) {
    SC.confirm(Application.messages.subscriptionWidget_confirmDelete(), new BooleanCallback() {
      @Override
      public void execute(Boolean value) {
        if (value) {
          if (sPresenter != null)
            sPresenter.deleteSubscription(record.getSubscription());
          if (uPresenter != null)
            uPresenter.deleteSubscription(record.getSubscription());
        }
      }
    });
  }
}
